Ubuntu升级NGINX

听说NGINX1.10.3有什么漏洞CVE-2017-7529,其实风险并不是什么高,还是升级一下吧.

1
2
3
4
5
6
7
8
9
10
nginx -v  //1.10.3
apt-get install aptitude
cp /etc/nginx/nginx.conf /etc/nginx/nginx.conf.1.1.19.backup //做备份,其实用不到
service nginx stop
aptitude install python-software-properties
add-apt-repository ppa:nginx/stable
aptitude update
aptitude safe-upgrade
service nginx start
nginx -v //1.12.1

原文链接: Upgrading Nginx to the latest version on Ubuntu servers

–EOF–